Debian Bug report logs - #595265
linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Arnout Boelens <aboelens@engin.umass.edu>

Date: Thu, 2 Sep 2010 15:45:08 UTC

Severity: normal

Found in version 2.6.32-21

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Forwarded to netdev@vger.kernel.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Thu, 02 Sep 2010 15:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnout Boelens <aboelens@engin.umass.edu>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 02 Sep 2010 15:45:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arnout Boelens <aboelens@engin.umass.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Thu, 02 Sep 2010 11:43:12 -0400
Package: linux-2.6
Version: 2.6.32-21
Severity: normal

After suspending my laptop my network card fails to come back up again. As
workaround I unload the kernel module for my card (r8169) and reload it again.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-686 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 14:28:12 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-686 root=/dev/mapper/laptop-root ro kopt=root=/dev/mapper/laptop-root ro ipv6.disable=1 quiet

** Not tainted

** Kernel log:
[50418.395549] r8169: eth0: link down
[50419.925248] r8169: eth0: link up
[50423.369277] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1d:92:75:61:d2:08:00 SRC=0.0.0.0 DST=255.255.255.255 LEN=328 TOS=0x00 PREC=0x00 TTL=32 ID=17978 PROTO=UDP SPT=68 DPT=67 LEN=308 
[50424.633601] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1e:37:82:92:fa:08:00 SRC=172.30.68.245 DST=172.30.71.255 LEN=229 TOS=0x00 PREC=0x00 TTL=128 ID=51332 PROTO=UDP SPT=138 DPT=138 LEN=209 
[50424.697994] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1a:a0:9a:03:ef:08:00 SRC=172.30.70.126 DST=255.255.255.255 LEN=68 TOS=0x00 PREC=0x00 TTL=128 ID=11999 PROTO=UDP SPT=1027 DPT=1947 LEN=48 
[50424.715038] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC= SRC=172.30.68.46 DST=224.0.0.251 LEN=93 TOS=0x00 PREC=0x00 TTL=255 ID=0 DF PROTO=UDP SPT=5353 DPT=5353 LEN=73 
[50425.693236] AIF:ICMP-request: IN=eth0 OUT= MAC=00:17:31:c1:7e:4d:00:1f:29:58:2b:47:08:00 SRC=172.30.70.254 DST=172.30.68.46 LEN=48 TOS=0x00 PREC=0x00 TTL=255 ID=39957 PROTO=ICMP TYPE=8 CODE=0 ID=55935 SEQ=0 
[50433.463867] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:23:32:c1:d6:4e:08:00 SRC=172.30.68.119 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=64 ID=38623 PROTO=UDP SPT=50416 DPT=137 LEN=58 
[50435.026440] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:25:00:a1:ec:64:08:00 SRC=172.30.70.189 DST=224.0.0.251 LEN=1168 TOS=0x00 PREC=0x00 TTL=255 ID=23131 PROTO=UDP SPT=5353 DPT=5353 LEN=1148 
[50435.754268] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:01:ac:67:06:0f:e3:d0:08:00 SRC=172.30.70.39 DST=224.0.0.1 LEN=36 TOS=0x00 PREC=0xA0 TTL=1 ID=3994 PROTO=2 
[50435.755368] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:80:77:cb:12:5e:08:00 SRC=128.119.70.33 DST=224.0.0.251 LEN=32 TOS=0x00 PREC=0x00 TTL=1 ID=36574 PROTO=2 
[50435.755448] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:26:4a:0e:5d:94:08:00 SRC=172.31.70.57 DST=224.0.0.251 LEN=32 TOS=0x00 PREC=0x00 TTL=1 ID=46461 PROTO=2 
[50436.768282] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:0e:7f:42:b3:af:08:00 SRC=128.119.70.83 DST=224.0.0.251 LEN=28 TOS=0x00 PREC=0x00 TTL=1 ID=35010 PROTO=2 
[50443.396679] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:78:dd:08:cb:30:b6:08:00 SRC=0.0.0.0 DST=255.255.255.255 LEN=338 TOS=0x00 PREC=0x00 TTL=128 ID=0 PROTO=UDP SPT=68 DPT=67 LEN=318 
[50445.077406] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:22:19:fd:43:01:08:00 SRC=172.30.71.24 DST=172.30.71.255 LEN=264 TOS=0x00 PREC=0x00 TTL=128 ID=12186 PROTO=UDP SPT=6646 DPT=6646 LEN=244 
[50453.482057] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:22:19:fd:43:01:08:00 SRC=172.30.71.24 DST=172.30.71.255 LEN=96 TOS=0x00 PREC=0x00 TTL=128 ID=12403 PROTO=UDP SPT=137 DPT=137 LEN=76 
[50455.243887] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=255.255.255.255 LEN=179 TOS=0x00 PREC=0x00 TTL=64 ID=23363 PROTO=UDP SPT=17500 DPT=17500 LEN=159 
[50463.696195] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1f:16:16:ef:0a:08:00 SRC=172.30.69.7 DST=255.255.255.255 LEN=328 TOS=0x00 PREC=0x00 TTL=128 ID=4522 PROTO=UDP SPT=68 DPT=67 LEN=308 
[50466.694457] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=224.0.0.251 LEN=922 TOS=0x18 PREC=0x00 TTL=255 ID=28953 PROTO=UDP SPT=5353 DPT=5353 LEN=902 
[50473.600832] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:24:be:b0:fb:f6:08:00 SRC=172.30.70.105 DST=172.30.71.255 LEN=96 TOS=0x00 PREC=0x00 TTL=128 ID=108 PROTO=UDP SPT=137 DPT=137 LEN=76 
[50475.712655] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=224.0.0.251 LEN=922 TOS=0x18 PREC=0x00 TTL=255 ID=48916 PROTO=UDP SPT=5353 DPT=5353 LEN=902 
[50483.420922] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:64:b9:e8:cb:c1:18:08:00 SRC=172.30.71.190 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=64 ID=12767 PROTO=UDP SPT=53857 DPT=137 LEN=58 
[50484.231369] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:7c:c5:37:a7:31:b8:08:00 SRC=172.30.70.202 DST=224.0.0.251 LEN=32 TOS=0x00 PREC=0x00 TTL=1 ID=35965 PROTO=2 
[50485.226728] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:d4:9a:20:57:ad:57:08:00 SRC=172.30.68.222 DST=255.255.255.255 LEN=100 TOS=0x00 PREC=0x00 TTL=64 ID=45611 PROTO=UDP SPT=56666 DPT=2223 LEN=80 
[50493.504144] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:0b:db:82:fd:5d:08:00 SRC=172.30.68.69 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=54202 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50495.844790] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1b:24:6d:32:d7:08:00 SRC=172.30.68.23 DST=255.255.255.255 LEN=68 TOS=0x00 PREC=0x00 TTL=128 ID=32586 PROTO=UDP SPT=52083 DPT=1947 LEN=48 
[50503.631124] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:25:64:98:02:32:08:00 SRC=172.30.71.108 DST=172.30.71.255 LEN=202 TOS=0x00 PREC=0x00 TTL=128 ID=12683 PROTO=UDP SPT=138 DPT=138 LEN=182 
[50503.897065] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:1b:63:ef:19:8e:08:00 SRC=172.30.71.176 DST=224.0.0.251 LEN=32 TOS=0x00 PREC=0x00 TTL=1 ID=4967 PROTO=2 
[50506.192662] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:24:be:b0:fb:f6:08:00 SRC=172.30.70.105 DST=255.255.255.255 LEN=139 TOS=0x00 PREC=0x00 TTL=128 ID=696 PROTO=UDP SPT=17500 DPT=17500 LEN=119 
[50513.401257] AIF:PRIV connect attempt: IN=eth0 OUT= MAC= SRC=172.30.68.46 DST=172.30.71.255 LEN=240 TOS=0x00 PREC=0x00 TTL=64 ID=0 DF PROTO=UDP SPT=138 DPT=138 LEN=220 
[50515.308254] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=255.255.255.255 LEN=179 TOS=0x00 PREC=0x00 TTL=64 ID=38415 PROTO=UDP SPT=17500 DPT=17500 LEN=159 
[50523.736280] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:17:a4:ec:e1:5a:08:00 SRC=128.119.70.99 DST=172.30.71.255 LEN=224 TOS=0x00 PREC=0x00 TTL=128 ID=30902 DF PROTO=UDP SPT=1871 DPT=497 LEN=204 
[50526.074545] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:16:76:36:98:8d:08:00 SRC=172.30.71.72 DST=255.255.255.255 LEN=68 TOS=0x00 PREC=0x00 TTL=128 ID=27105 PROTO=UDP SPT=1031 DPT=1947 LEN=48 
[50533.423154] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:11:11:47:c3:44:08:00 SRC=172.30.71.47 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=15961 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50536.566344] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:60:fb:42:f2:8e:78:08:00 SRC=172.30.68.65 DST=255.255.255.255 LEN=100 TOS=0x00 PREC=0x00 TTL=64 ID=9663 PROTO=UDP SPT=60780 DPT=2223 LEN=80 
[50543.386513] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:50:70:44:ed:fb:08:00 SRC=172.30.68.171 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=12341 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50545.228936] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:d4:9a:20:57:ad:57:08:00 SRC=172.30.68.222 DST=255.255.255.255 LEN=100 TOS=0x00 PREC=0x00 TTL=64 ID=33295 PROTO=UDP SPT=57987 DPT=2223 LEN=80 
[50553.795665] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:27:19:c2:96:76:08:00 SRC=172.30.71.138 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=61939 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50556.255941] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:16:76:b5:45:23:08:00 SRC=172.30.67.110 DST=255.255.255.255 LEN=68 TOS=0x00 PREC=0x00 TTL=128 ID=53142 PROTO=UDP SPT=1025 DPT=1947 LEN=48 
[50558.366694] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:23:32:40:e8:6d:08:00 SRC=172.30.70.69 DST=224.0.0.251 LEN=32 TOS=0x00 PREC=0x00 TTL=1 ID=3328 PROTO=2 
[50563.694377] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:25:64:98:02:32:08:00 SRC=172.30.71.108 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=13204 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50565.143049] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:24:be:b0:fb:f6:08:00 SRC=172.30.70.105 DST=255.255.255.255 LEN=139 TOS=0x00 PREC=0x00 TTL=128 ID=1768 PROTO=UDP SPT=17500 DPT=17500 LEN=119 
[50573.531335] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:08:02:da:12:b0:08:00 SRC=172.30.69.192 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=38682 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50575.371821] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=255.255.255.255 LEN=179 TOS=0x00 PREC=0x00 TTL=64 ID=58565 PROTO=UDP SPT=17500 DPT=17500 LEN=159 
[50583.515807] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:08:02:da:12:b0:08:00 SRC=172.30.69.192 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=38690 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50584.850289] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=224.0.0.251 LEN=922 TOS=0x18 PREC=0x00 TTL=255 ID=63391 PROTO=UDP SPT=5353 DPT=5353 LEN=902 
[50593.504560] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:0b:db:82:fd:5d:08:00 SRC=172.30.68.69 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=54337 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50594.701426] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1a:a0:9a:03:ef:08:00 SRC=172.30.70.126 DST=255.255.255.255 LEN=68 TOS=0x00 PREC=0x00 TTL=128 ID=12009 PROTO=UDP SPT=1027 DPT=1947 LEN=48 
[50603.971914] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:27:13:67:6f:b6:08:00 SRC=172.30.70.215 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=15902 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50605.230974] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:d4:9a:20:57:ad:57:08:00 SRC=172.30.68.222 DST=255.255.255.255 LEN=100 TOS=0x00 PREC=0x00 TTL=64 ID=64659 PROTO=UDP SPT=55716 DPT=2223 LEN=80 
[50613.652049] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:25:64:98:02:32:08:00 SRC=172.30.71.108 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=13251 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50614.939669] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1f:3c:92:cf:d5:08:00 SRC=172.30.69.145 DST=255.255.255.255 LEN=150 TOS=0x00 PREC=0x00 TTL=128 ID=18402 PROTO=UDP SPT=17500 DPT=17500 LEN=130 
[50623.483184] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:0d:56:f1:4f:a4:08:00 SRC=172.30.70.113 DST=172.30.71.255 LEN=233 TOS=0x00 PREC=0x00 TTL=128 ID=46697 PROTO=UDP SPT=138 DPT=138 LEN=213 
[50626.723431] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:13:72:24:3c:4b:08:00 SRC=172.30.70.117 DST=255.255.255.255 LEN=271 TOS=0x00 PREC=0x00 TTL=128 ID=18696 PROTO=UDP SPT=5050 DPT=5050 LEN=251 
[50634.184387] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1e:52:f3:e7:15:08:00 SRC=172.30.71.253 DST=172.30.71.255 LEN=215 TOS=0x00 PREC=0x00 TTL=64 ID=18295 PROTO=UDP SPT=138 DPT=138 LEN=195 
[50635.433689] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=255.255.255.255 LEN=179 TOS=0x00 PREC=0x00 TTL=64 ID=38115 PROTO=UDP SPT=17500 DPT=17500 LEN=159 
[50643.673176] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:25:64:98:02:32:08:00 SRC=172.30.71.108 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=15075 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50645.047366] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:0d:93:b2:74:74:08:00 SRC=172.30.68.76 DST=224.0.0.251 LEN=123 TOS=0x18 PREC=0x00 TTL=255 ID=13609 PROTO=UDP SPT=5353 DPT=5353 LEN=103 
[50654.729353] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1f:29:2a:67:e1:08:00 SRC=172.30.67.1 DST=172.30.71.255 LEN=229 TOS=0x00 PREC=0x00 TTL=64 ID=1506 PROTO=UDP SPT=138 DPT=138 LEN=209 
[50656.568724] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:60:fb:42:f2:8e:78:08:00 SRC=172.30.68.65 DST=255.255.255.255 LEN=100 TOS=0x00 PREC=0x00 TTL=64 ID=37223 PROTO=UDP SPT=49292 DPT=2223 LEN=80 
[50663.562596] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1c:25:20:e3:9d:08:00 SRC=172.30.68.144 DST=172.30.71.255 LEN=229 TOS=0x00 PREC=0x00 TTL=128 ID=15369 PROTO=UDP SPT=138 DPT=138 LEN=209 
[50665.232866] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:d4:9a:20:57:ad:57:08:00 SRC=172.30.68.222 DST=255.255.255.255 LEN=100 TOS=0x00 PREC=0x00 TTL=64 ID=3515 PROTO=UDP SPT=65358 DPT=2223 LEN=80 
[50673.824870] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:16:76:36:98:8d:08:00 SRC=172.30.71.72 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=27181 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50674.700421] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1b:24:6d:32:d7:08:00 SRC=172.30.68.23 DST=255.255.255.255 LEN=68 TOS=0x00 PREC=0x00 TTL=128 ID=150 PROTO=UDP SPT=52083 DPT=1947 LEN=48 
[50674.794431] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:1b:63:ef:19:8e:08:00 SRC=172.30.71.176 DST=224.0.0.251 LEN=32 TOS=0x00 PREC=0x00 TTL=1 ID=55961 PROTO=2 
[50683.512490] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:13:20:71:25:4c:08:00 SRC=172.30.68.73 DST=172.30.71.255 LEN=229 TOS=0x00 PREC=0x00 TTL=128 ID=32463 PROTO=UDP SPT=138 DPT=138 LEN=209 
[50685.222736] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:90:4c:e5:e7:e6:71:08:00 SRC=172.30.69.10 DST=224.0.0.251 LEN=32 TOS=0x00 PREC=0x00 TTL=1 ID=494 PROTO=2 
[50685.513674] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:90:4c:e5:e7:e6:71:08:00 SRC=172.30.69.10 DST=224.0.0.251 LEN=111 TOS=0x00 PREC=0x00 TTL=255 ID=551 PROTO=UDP SPT=5353 DPT=5353 LEN=91 
[50693.536235] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:0b:db:82:fd:5d:08:00 SRC=172.30.68.69 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=54464 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50695.494222] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=255.255.255.255 LEN=179 TOS=0x00 PREC=0x00 TTL=64 ID=10673 PROTO=UDP SPT=17500 DPT=17500 LEN=159 
[50703.379730] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:0b:db:da:65:0c:08:00 SRC=172.30.71.177 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=1323 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50705.493735] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:25:00:a1:ec:64:08:00 SRC=172.30.70.189 DST=224.0.0.251 LEN=1370 TOS=0x00 PREC=0x00 TTL=255 ID=25635 PROTO=UDP SPT=5353 DPT=5353 LEN=1350 
[50713.571013] AIF:PRIV connect attempt: IN=eth0 OUT= MAC= SRC=172.30.68.46 DST=172.30.71.255 LEN=96 TOS=0x00 PREC=0x00 TTL=64 ID=0 DF PROTO=UDP SPT=137 DPT=137 LEN=76 
[50714.970220] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:25:00:a1:ec:64:08:00 SRC=172.30.70.189 DST=224.0.0.251 LEN=298 TOS=0x00 PREC=0x00 TTL=255 ID=52329 PROTO=UDP SPT=5353 DPT=5353 LEN=278 
[50723.410760] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:10:5a:e1:82:5f:08:00 SRC=172.30.69.233 DST=172.30.71.255 LEN=202 TOS=0x00 PREC=0x00 TTL=128 ID=54463 PROTO=UDP SPT=138 DPT=138 LEN=182 
[50725.194306] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:25:00:a1:ec:64:08:00 SRC=172.30.70.189 DST=224.0.0.251 LEN=71 TOS=0x00 PREC=0x00 TTL=255 ID=27664 PROTO=UDP SPT=5353 DPT=5353 LEN=51 
[50733.598858] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:0b:db:82:fd:5d:08:00 SRC=172.30.68.69 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=54525 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50735.065001] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:11:43:2e:b3:bd:08:00 SRC=172.30.70.231 DST=255.255.255.255 LEN=68 TOS=0x00 PREC=0x00 TTL=128 ID=55496 PROTO=UDP SPT=1027 DPT=1947 LEN=48 
[50743.549214] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:25:64:98:02:32:08:00 SRC=172.30.71.108 DST=172.30.71.255 LEN=202 TOS=0x00 PREC=0x00 TTL=128 ID=16272 PROTO=UDP SPT=138 DPT=138 LEN=182 
[50745.201582] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:25:00:a1:ec:64:08:00 SRC=172.30.70.189 DST=224.0.0.251 LEN=71 TOS=0x00 PREC=0x00 TTL=255 ID=26992 PROTO=UDP SPT=5353 DPT=5353 LEN=51 
[50753.820519] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:25:64:98:02:32:08:00 SRC=172.30.71.108 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=16300 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50755.552053] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=255.255.255.255 LEN=179 TOS=0x00 PREC=0x00 TTL=64 ID=37452 PROTO=UDP SPT=17500 DPT=17500 LEN=159 
[50763.986477] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:40:05:2f:ae:9e:08:00 SRC=172.30.71.33 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=20289 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50764.704785] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1a:a0:9a:03:ef:08:00 SRC=172.30.70.126 DST=255.255.255.255 LEN=68 TOS=0x00 PREC=0x00 TTL=128 ID=12022 PROTO=UDP SPT=1027 DPT=1947 LEN=48 
[50773.841931] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:25:64:98:02:32:08:00 SRC=172.30.71.108 DST=172.30.71.255 LEN=211 TOS=0x00 PREC=0x00 TTL=128 ID=16320 PROTO=UDP SPT=138 DPT=138 LEN=191 
[50776.572662] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:60:fb:42:f2:8e:78:08:00 SRC=172.30.68.65 DST=255.255.255.255 LEN=100 TOS=0x00 PREC=0x00 TTL=64 ID=44828 PROTO=UDP SPT=63099 DPT=2223 LEN=80 
[50783.630294] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:0b:db:82:fd:5d:08:00 SRC=172.30.68.69 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=54593 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50784.854309] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1a:a0:cc:d0:3b:08:00 SRC=172.30.70.239 DST=255.255.255.255 LEN=271 TOS=0x00 PREC=0x00 TTL=128 ID=9342 PROTO=UDP SPT=5050 DPT=5050 LEN=251 
[50787.974387] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:7c:c5:37:a7:31:b8:08:00 SRC=172.30.70.202 DST=224.0.0.251 LEN=32 TOS=0x00 PREC=0x00 TTL=1 ID=8372 PROTO=2 
[50793.531173] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:23:32:c1:d6:4e:08:00 SRC=172.30.68.119 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=64 ID=48265 PROTO=UDP SPT=50422 DPT=137 LEN=58 
[50795.446892] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1a:a0:cc:d0:3b:08:00 SRC=172.30.70.239 DST=255.255.255.255 LEN=271 TOS=0x00 PREC=0x00 TTL=128 ID=9344 PROTO=UDP SPT=5050 DPT=5050 LEN=251 
[50803.383305] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:11:2f:e6:e4:c3:08:00 SRC=172.30.71.248 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=36343 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50806.055039] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1a:a0:cc:d0:3b:08:00 SRC=172.30.70.239 DST=255.255.255.255 LEN=271 TOS=0x00 PREC=0x00 TTL=128 ID=9350 PROTO=UDP SPT=5050 DPT=5050 LEN=251 
[50811.247473] AIF:Connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:01:ac:67:06:0f:e3:d0:08:00 SRC=172.30.70.39 DST=224.0.0.1 LEN=36 TOS=0x00 PREC=0xA0 TTL=1 ID=3997 PROTO=2 
[50813.747692] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:25:64:98:02:32:08:00 SRC=172.30.71.108 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=16384 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50815.885853] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=224.0.0.251 LEN=922 TOS=0x18 PREC=0x00 TTL=255 ID=30747 PROTO=UDP SPT=5353 DPT=5353 LEN=902 
[50823.411688] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:0b:db:82:fd:5d:08:00 SRC=172.30.68.69 DST=172.30.71.255 LEN=78 TOS=0x00 PREC=0x00 TTL=128 ID=54640 PROTO=UDP SPT=137 DPT=137 LEN=58 
[50826.723125] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:13:72:24:3c:4b:08:00 SRC=172.30.70.117 DST=255.255.255.255 LEN=271 TOS=0x00 PREC=0x00 TTL=128 ID=18955 PROTO=UDP SPT=5050 DPT=5050 LEN=251 
[50833.662162] AIF:PRIV connect attempt: IN=eth0 OUT= MAC=ff:ff:ff:ff:ff:ff:00:1e:52:f3:e7:15:08:00 SRC=172.30.71.253 DST=172.30.71.255 LEN=215 TOS=0x00 PREC=0x00 TTL=64 ID=15530 PROTO=UDP SPT=138 DPT=138 LEN=195 
[50834.884073] AIF:UNPRIV connect attempt: IN=eth0 OUT= MAC=01:00:5e:00:00:fb:00:23:32:cc:d2:6e:08:00 SRC=172.30.69.114 DST=224.0.0.251 LEN=922 TOS=0x18 PREC=0x00 TTL=255 ID=65298 PROTO=UDP SPT=5353 DPT=5353 LEN=902 

** Model information
not available

** Loaded modules:
Module                  Size  Used by
r8169                  24836  0 
mii                     2714  1 r8169
acpi_cpufreq            4943  0 
cpufreq_userspace       1480  0 
cpufreq_powersave        602  0 
cpufreq_stats           1940  0 
cpufreq_conservative     4018  0 
parport_pc             15799  0 
ppdev                   4058  0 
lp                      5570  0 
parport                22554  3 parport_pc,ppdev,lp
sco                     5857  2 
bnep                    7444  2 
rfcomm                 25171  8 
l2cap                  21705  16 bnep,rfcomm
crc16                   1027  1 l2cap
uinput                  4796  1 
xt_tcpudp               1743  114 
iptable_nat             3551  1 
nf_nat                 10568  1 iptable_nat
nf_conntrack_ipv4       7597  22 iptable_nat,nf_nat
nf_defrag_ipv4           779  1 nf_conntrack_ipv4
xt_DSCP                 1451  68 
xt_TCPMSS               2303  6 
ipt_LOG                 3570  42 
ipt_REJECT              1517  0 
iptable_mangle          2325  1 
iptable_filter          1790  1 
xt_multiport            1775  0 
xt_state                 927  19 
xt_limit                1088  45 
xt_conntrack            1955  0 
nf_conntrack_ftp        4272  0 
nf_conntrack           38075  6 iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state,xt_conntrack,nf_conntrack_ftp
ip_tables               7690  3 iptable_nat,iptable_mangle,iptable_filter
x_tables                8327  11 xt_tcpudp,iptable_nat,xt_DSCP,xt_TCPMSS,ipt_LOG,ipt_REJECT,xt_multiport,xt_state,xt_limit,xt_conntrack,ip_tables
firewire_sbp2           9647  0 
loop                    9765  0 
snd_hda_codec_si3054     2410  1 
snd_hda_codec_realtek   163238  1 
snd_hda_intel          16787  2 
snd_hda_codec          46002  3 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4054  1 snd_hda_codec
snd_pcm_oss            28671  0 
snd_mixer_oss          10461  1 snd_pcm_oss
arc4                     974  2 
ecb                     1405  2 
snd_pcm                47214  4 snd_hda_codec_si3054,snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            3576  0 
snd_rawmidi            12513  1 snd_seq_midi
snd_seq_midi_event      3684  1 snd_seq_midi
iwl3945                46032  0 
iwlcore                67478  1 iwl3945
snd_seq                35463  2 snd_seq_midi,snd_seq_midi_event
radeon                509635  2 
snd_timer              12258  2 snd_pcm,snd_seq
gspca_m5602            42987  0 
ttm                    33378  1 radeon
snd_seq_device          3673  3 snd_seq_midi,snd_rawmidi,snd_seq
mac80211              123266  2 iwl3945,iwlcore
gspca_main             15775  1 gspca_m5602
drm_kms_helper         18305  1 radeon
pcmcia                 17442  0 
btusb                   8017  2 
snd                    34363  16 snd_hda_codec_si3054,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
videodev               25545  1 gspca_main
drm                   112020  4 radeon,ttm,drm_kms_helper
cfg80211               87625  3 iwl3945,iwlcore,mac80211
yenta_socket           16403  1 
v4l1_compat            10250  1 videodev
soundcore               3450  1 snd
bluetooth              36319  9 sco,bnep,rfcomm,l2cap,btusb
rsrc_nonstatic          7057  1 yenta_socket
snd_page_alloc          5045  2 snd_hda_intel,snd_pcm
rfkill                 10264  3 cfg80211,bluetooth
i2c_algo_bit            3497  1 radeon
i2c_core               12696  5 radeon,drm_kms_helper,videodev,drm,i2c_algo_bit
pcmcia_core            20450  3 pcmcia,yenta_socket,rsrc_nonstatic
rng_core                2178  0 
joydev                  6771  0 
psmouse                44657  0 
video                  14605  0 
asus_laptop            11090  0 
output                  1204  1 video
pcspkr                  1207  0 
serio_raw               2916  0 
evdev                   5609  28 
battery                 3782  0 
button                  3598  0 
ac                      1640  0 
processor              26671  3 acpi_cpufreq
ext3                   94204  3 
jbd                    32169  1 ext3
mbcache                 3762  1 ext3
sha256_generic         10748  2 
aes_i586                6816  2 
aes_generic            25738  1 aes_i586
cbc                     2047  1 
usbhid                 27988  0 
hid                    50645  1 usbhid
dm_crypt                9127  1 
dm_mod                 46082  12 dm_crypt
sg                     15968  0 
sd_mod                 25869  3 
sr_mod                 10770  0 
crc_t10dif              1012  1 sd_mod
cdrom                  26487  1 sr_mod
ata_generic             2019  0 
sdhci_pci               4525  0 
sdhci                  12147  1 sdhci_pci
ata_piix               17736  2 
firewire_ohci          16509  0 
libata                115721  2 ata_generic,ata_piix
mmc_core               38491  1 sdhci
firewire_core          31187  2 firewire_sbp2,firewire_ohci
led_class               1757  4 iwl3945,iwlcore,asus_laptop,sdhci
crc_itu_t               1035  1 firewire_core
thermal                 9206  0 
thermal_sys             9378  3 video,processor,thermal
uhci_hcd               16057  0 
ehci_hcd               27851  0 
scsi_mod              101401  5 firewire_sbp2,sg,sd_mod,sr_mod,libata
usbcore                98397  7 gspca_m5602,gspca_main,btusb,usbhid,uhci_hcd,ehci_hcd
nls_base                4541  1 usbcore

** Network interface configuration:

auto lo
iface lo inet loopback


** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
3: wlan0: <BROADCAST,MULTICAST> mtu 1492 qdisc mq state DOWN qlen 1000
    link/ether 00:13:02:3e:93:3d brd ff:ff:ff:ff:ff:ff
4: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:17:31:c1:7e:4d brd ff:ff:ff:ff:ff:ff
    inet 172.30.68.46/21 brd 172.30.71.255 scope global eth0

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:  102702    1894    0    0    0     0          0         0   102702    1894    0    0    0     0       0          0
 wlan0:94077647  102670    0    0    0     0          0         0  9122006   78466    0    0    0     0       0          0
  eth0: 2979318   17425    0    0    0     0          0         0   340037    2684    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    327425 total packets received
    0 forwarded
    0 incoming packets discarded
    151560 incoming packets delivered
    139367 requests sent out
    32 outgoing packets dropped
    416 dropped because of missing route
Icmp:
    645 ICMP messages received
    6 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 634
        timeout in transit: 8
        redirects: 3
    237 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 237
IcmpMsg:
        InType3: 634
        InType5: 3
        InType11: 8
        OutType3: 237
Tcp:
    3169 active connections openings
    47 passive connection openings
    191 failed connection attempts
    56 connection resets received
    16 connections established
    143738 segments received
    129810 segments send out
    238 segments retransmited
    0 bad segments received.
    432 resets sent
Udp:
    7023 packets received
    152 packets to unknown port received.
    0 packet receive errors
    9409 packets sent
UdpLite:
TcpExt:
    1603 TCP sockets finished time wait in fast timer
    7 time wait sockets recycled by time stamp
    3391 delayed acks sent
    Quick ack mode was activated 48 times
    4 packets directly queued to recvmsg prequeue.
    4 bytes directly received in process context from prequeue
    108404 packet headers predicted
    7727 acknowledgments not containing data payload received
    23117 predicted acknowledgments
    38 congestion windows recovered without slow start after partial ack
    2 timeouts after SACK recovery
    1 timeouts in loss state
    195 other TCP timeouts
    84 DSACKs sent for old packets
    18 DSACKs received
    36 connections reset due to unexpected data
    34 connections reset due to early user close
    119 connections aborted due to timeout
    1 times unabled to send RST due to no memory
    TCPDSACKIgnoredOld: 5
    TCPDSACKIgnoredNoUndo: 10
    TCPSackShiftFallback: 58
IpExt:
    InNoRoutes: 40
    InMcastPkts: 12058
    OutMcastPkts: 301
    InBcastPkts: 155597
    OutBcastPkts: 390
    InOctets: 153167384
    OutOctets: 15276469
    InMcastOctets: 2069160
    OutMcastOctets: 40574
    InBcastOctets: 22506644
    OutBcastOctets: 65922

*** Device features:
eth0: 0x180
lo: 0x13865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub [8086:27a0] (rev 03)
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port [8086:27a1] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00009000-0000bfff
	Memory behind bridge: fdf00000-fdffffff
	Prefetchable memory behind bridge: 00000000bdf00000-00000000ddefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1b.0 Audio device [0403]: Intel Corporation N10/ICH 7 Family High Definition Audio Controller [8086:27d8] (rev 02)
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1123]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at febfc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 1 [8086:27d0] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fe000000-fe0fffff
	Prefetchable memory behind bridge: 0000000040000000-00000000401fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 4 [8086:27d6] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: fe100000-fe1fffff
	Prefetchable memory behind bridge: 0000000040200000-00000000403fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 [8086:27c8] (rev 02) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at ec00 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 [8086:27c9] (rev 02) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 20
	Region 4: I/O ports at e880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 [8086:27ca] (rev 02) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at e800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 [8086:27cb] (rev 02) (prog-if 00 [UHCI])
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 18
	Region 4: I/O ports at e480 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller [8086:27cc] (rev 02) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at febfbc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=04, subordinate=08, sec-latency=32
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fe200000-feafffff
	Prefetchable memory behind bridge: 00000000ddf00000-00000000dfefffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge [8086:27b9] (rev 02)
	Subsystem: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge [8086:27b9]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.1 IDE interface [0101]: Intel Corporation 82801G (ICH7 Family) IDE Controller [8086:27df] (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ffa0 [size=16]
	Kernel driver in use: ata_piix

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M56P [Radeon Mobility X1600] [1002:71c5] (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:10b2]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at c0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at b000 [size=256]
	Region 2: Memory at fdff0000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at fdfc0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01)
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:11f5]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 27
	Region 0: I/O ports at c800 [size=256]
	Region 2: Memory at fe0ff000 (64-bit, non-prefetchable) [size=4K]
	Expansion ROM at fe0e0000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

03:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection [8086:4222] (rev 02)
	Subsystem: Intel Corporation PRO/Wireless 3945ABG Network Connection [8086:1001]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at fe1ff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: iwl3945

04:01.0 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev b3)
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fe200000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=04, secondary=05, subordinate=08, sec-latency=176
	Memory window 0: 44000000-47fff000 (prefetchable)
	Memory window 1: 48000000-4bfff000
	I/O window 0: 0000d000-0000d0ff
	I/O window 1: 0000d400-0000d4ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

04:01.1 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C552 IEEE 1394 Controller [1180:0552] (rev 08) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max)
	Interrupt: pin B routed to IRQ 18
	Region 0: Memory at feaff800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

04:01.2 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 17)
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin B routed to IRQ 18
	Region 0: Memory at feaff400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

04:01.3 System peripheral [0880]: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter [1180:0592] (rev 08)
	Subsystem: ASUSTeK Computer Inc. A6J-Q008 [1043:1237]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 3
	Region 0: Memory at feaff000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>


** USB devices:
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 0b05:1712 ASUSTek Computer, Inc. BT-183 Bluetooth 2.0+EDR adapter
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 046d:c52f Logitech, Inc. Wireless Mouse M305
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 0402:5602 ALi Corp. M5602 Video Camera Controller
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.1     tools for generating an initramfs
ii  linux-base                    2.6.32-21  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
ii  firmware-linux-free           2.6.32-21  Binary firmware for various driver
ii  libc6-i686                    2.11.2-4   Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.32-5-686 suggests:
ii  grub                          0.97-62    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.26       Binary firmware for Intel Wireless
ii  firmware-linux                0.26       Binary firmware for various driver
ii  firmware-linux-nonfree        0.26       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-686/prerm/removing-running-kernel-2.6.32-5-686: true
  linux-image-2.6.32-5-686/prerm/would-invalidate-boot-loader-2.6.32-5-686: true
  linux-image-2.6.32-5-686/postinst/bootloader-test-error-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/bootloader-error-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/depmod-error-initrd-2.6.32-5-686: false
  linux-image-2.6.32-5-686/postinst/ignoring-do-bootloader-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/missing-firmware-2.6.32-5-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Fri, 03 Sep 2010 23:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Sep 2010 23:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 595265@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Arnout Boelens <aboelens@engin.umass.edu>, 595265@bugs.debian.org
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Sat, 04 Sep 2010 00:00:24 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2010-09-02 at 11:43 -0400, Arnout Boelens wrote:
> Package: linux-2.6
> Version: 2.6.32-21
> Severity: normal
> 
> After suspending my laptop my network card fails to come back up again. As
> workaround I unload the kernel module for my card (r8169) and reload it again.

Can you send a kernel log covering the time when you suspend and resume?
The log section included in your original report is full of firewall
warnings.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Wed, 08 Sep 2010 15:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnout Boelens <aboelens@engin.umass.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 08 Sep 2010 15:21:08 GMT) Full text and rfc822 format available.

Message #15 received at 595265@bugs.debian.org (full text, mbox):

From: Arnout Boelens <aboelens@engin.umass.edu>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 595265@bugs.debian.org
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Wed, 8 Sep 2010 10:45:34 -0400
[Message part 1 (text/plain, inline)]
On Friday 03 September 2010 19:00:24 Ben Hutchings wrote:
> On Thu, 2010-09-02 at 11:43 -0400, Arnout Boelens wrote:
> > Package: linux-2.6
> > Version: 2.6.32-21
> > Severity: normal
> > 
> > After suspending my laptop my network card fails to come back up again.
> > As workaround I unload the kernel module for my card (r8169) and reload
> > it again.
> 
> Can you send a kernel log covering the time when you suspend and resume?
> The log section included in your original report is full of firewall
> warnings.

Oops.. See below:

[31830.208110] PM: Syncing filesystems ... done.
[31832.102114] PM: Preparing system for mem sleep
[31832.102371] Freezing user space processes ... (elapsed 0.04 seconds) done.
[31832.152316] Freezing remaining freezable tasks ... (elapsed 0.00 seconds) 
done.
[31832.152364] PM: Entering mem sleep
[31832.152381] Suspending console(s) (use no_console_suspend to debug)
[31832.177489] btusb_intr_complete: hci0 urb c98b0980 failed to resubmit (1)
[31832.178485] btusb_bulk_complete: hci0 urb c98b0b00 failed to resubmit (1)
[31832.179484] btusb_bulk_complete: hci0 urb c98b0800 failed to resubmit (1)
[31832.224053] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[31832.543124] sd 0:0:0:0: [sda] Stopping disk
[31833.634094] sdhci-pci 0000:04:01.2: PCI INT B disabled
[31833.972152] ata2: port disabled. ignoring.
[31833.972232] ata_piix 0000:00:1f.1: PCI INT A disabled
[31833.972248] ehci_hcd 0000:00:1d.7: PCI INT A disabled
[31833.972259] uhci_hcd 0000:00:1d.3: PCI INT D disabled
[31833.972270] uhci_hcd 0000:00:1d.2: PCI INT C disabled
[31833.972281] uhci_hcd 0000:00:1d.1: PCI INT B disabled
[31833.972292] uhci_hcd 0000:00:1d.0: PCI INT A disabled
[31834.180111] HDA Intel 0000:00:1b.0: PCI INT A disabled
[31834.196659] r8169 0000:02:00.0: PME# enabled
[31834.228613] ACPI: Preparing to enter system sleep state S3
[31834.400012] Disabling non-boot CPUs ...
[31834.400034] CPU0 attaching NULL sched-domain.
[31834.400037] CPU1 attaching NULL sched-domain.
[31834.464015] CPU0 attaching NULL sched-domain.
[31834.568025] CPU 1 is now offline
[31834.568029] SMP alternatives: switching to UP code
[31834.573035] Back to C!
[31834.573035] CPU0: Thermal monitoring enabled (TM2)
[31834.573035] Force enabled HPET at resume
[31834.573035] Enabling non-boot CPUs ...
[31834.573035] SMP alternatives: switching to SMP code
[31834.577941] Booting processor 1 APIC 0x1 ip 0x6000
[31834.572686] Initializing CPU#1
[31834.572686] CPU: L1 I cache: 32K, L1 D cache: 32K
[31834.572686] CPU: L2 cache: 2048K
[31834.572686] CPU: Physical Processor ID: 0
[31834.572686] CPU: Processor Core ID: 1
[31834.572686] CPU1: Thermal monitoring enabled (TM2)
[31834.668111] CPU1: Genuine Intel(R) CPU           T2300  @ 1.66GHz stepping 
08
[31834.668221] CPU0 attaching NULL sched-domain.
[31834.696018] CPU0 attaching sched-domain:
[31834.696022]  domain 0: span 0-1 level MC
[31834.696024]   groups: 0 1
[31834.696029] CPU1 attaching sched-domain:
[31834.696032]  domain 0: span 0-1 level MC
[31834.696034]   groups: 1 0
[31834.696603] CPU1 is up
[31834.697041] ACPI: Waking up from system sleep state S3
[31834.953155] pcieport 0000:00:01.0: restoring config space at offset 0xf (was 
0xa0100, writing 0xa010b)
[31834.953163] pcieport 0000:00:01.0: restoring config space at offset 0xa (was 
0xf, writing 0x0)
[31834.953169] pcieport 0000:00:01.0: restoring config space at offset 0x8 (was 
0xfdf0, writing 0xfdf0fdf0)
[31834.953223] HDA Intel 0000:00:1b.0: restoring config space at offset 0x3 (was 
0x0, writing 0x8)
[31834.953258] pcieport 0000:00:1c.0: restoring config space at offset 0xf (was 
0x20100, writing 0x20105)
[31834.953280] pcieport 0000:00:1c.0: restoring config space at offset 0x3 (was 
0x810000, writing 0x810008)
[31834.953331] pcieport 0000:00:1c.3: restoring config space at offset 0xf (was 
0x20400, writing 0x20403)
[31834.953347] pcieport 0000:00:1c.3: restoring config space at offset 0x7 (was 
0x1010, writing 0x20001010)
[31834.953358] pcieport 0000:00:1c.3: restoring config space at offset 0x3 (was 
0x810000, writing 0x810008)
[31834.953472] uhci_hcd 0000:00:1d.2: restoring config space at offset 0x1 (was 
0x2800000, writing 0x2800001)
[31834.953539] ehci_hcd 0000:00:1d.7: restoring config space at offset 0x1 (was 
0x2900000, writing 0x2900002)
[31834.953563] pci 0000:00:1e.0: restoring config space at offset 0xf (was 
0x20000, writing 0x200ff)
[31834.953640] pci 0000:00:1f.0: power state changed by ACPI to D0
[31834.953683] pci 0000:00:1f.0: power state changed by ACPI to D0
[31834.953756] ata_piix 0000:00:1f.1: restoring config space at offset 0x1 (was 
0x2800001, writing 0x2880005)
[31834.953790] radeon 0000:01:00.0: restoring config space at offset 0x1 (was 
0x100400, writing 0x100407)
[31834.953843] r8169 0000:02:00.0: restoring config space at offset 0xf (was 
0x100, writing 0x10b)
[31834.953856] r8169 0000:02:00.0: restoring config space at offset 0xc (was 
0x1, writing 0xfe0e0000)
[31834.953875] r8169 0000:02:00.0: restoring config space at offset 0x6 (was 
0x4, writing 0xfe0ff004)
[31834.953885] r8169 0000:02:00.0: restoring config space at offset 0x4 (was 
0x1, writing 0xc801)
[31834.953893] r8169 0000:02:00.0: restoring config space at offset 0x3 (was 
0x0, writing 0x8)
[31834.953903] r8169 0000:02:00.0: restoring config space at offset 0x1 (was 
0x100000, writing 0x100407)
[31834.954026] iwl3945 0000:03:00.0: restoring config space at offset 0xf (was 
0x100, writing 0x103)
[31834.954093] iwl3945 0000:03:00.0: restoring config space at offset 0x4 (was 
0x0, writing 0xfe1ff000)
[31834.954107] iwl3945 0000:03:00.0: restoring config space at offset 0x3 (was 
0x0, writing 0x8)
[31834.954127] iwl3945 0000:03:00.0: restoring config space at offset 0x1 (was 
0x100000, writing 0x100406)
[31834.968333] firewire_ohci 0000:04:01.1: restoring config space at offset 0x3 
(was 0x800000, writing 0x804000)
[31834.968342] firewire_ohci 0000:04:01.1: restoring config space at offset 0x1 
(was 0x2100000, writing 0x2100006)
[31834.984046] sdhci-pci 0000:04:01.2: restoring config space at offset 0x3 (was 
0x800000, writing 0x804000)
[31834.984054] sdhci-pci 0000:04:01.2: restoring config space at offset 0x1 (was 
0x2100000, writing 0x2100006)
[31835.106985] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 
21
[31835.106992] HDA Intel 0000:00:1b.0: setting latency timer to 64
[31835.107022] uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 23 (level, low) -> IRQ 
23
[31835.107029] uhci_hcd 0000:00:1d.0: setting latency timer to 64
[31835.107056] usb usb2: root hub lost power or was reset
[31835.107087] uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 20 (level, low) -> IRQ 
20
[31835.107094] uhci_hcd 0000:00:1d.1: setting latency timer to 64
[31835.107120] usb usb3: root hub lost power or was reset
[31835.107139] uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 22 (level, low) -> IRQ 
22
[31835.107145] uhci_hcd 0000:00:1d.2: setting latency timer to 64
[31835.107171] usb usb4: root hub lost power or was reset
[31835.107199] uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 18 (level, low) -> IRQ 
18
[31835.107206] uhci_hcd 0000:00:1d.3: setting latency timer to 64
[31835.107232] usb usb5: root hub lost power or was reset
[31835.107250] ehci_hcd 0000:00:1d.7: PCI INT A -> GSI 23 (level, low) -> IRQ 
23
[31835.107257] ehci_hcd 0000:00:1d.7: setting latency timer to 64
[31835.107270] pci 0000:00:1e.0: setting latency timer to 64
[31835.107280] ata_piix 0000:00:1f.1: PCI INT A -> GSI 18 (level, low) -> IRQ 
18
[31835.107285] ata_piix 0000:00:1f.1: setting latency timer to 64
[31835.112022] ata2: port disabled. ignoring.
[31835.112041] radeon 0000:01:00.0: setting latency timer to 64
[31835.112048] radeon 0000:01:00.0: efbe7f00 unpin not necessary
[31835.112256] [drm] GPU reset succeed (RBBM_STATUS=0x10000140)
[31835.118042] [drm] radeon: 1 quad pipes, 2 z pipes initialized.
[31835.144979] [drm] PCIE GART of 512M enabled (table at 0x00040000).
[31835.144992] [drm] radeon: cp idle (0x10000C03)
[31835.145045] [drm] radeon: ring at 0x0000000020000000
[31835.145078] [drm] ring test succeeded in 9 usecs
[31835.145093] [drm] ib test succeeded in 0 usecs
[31835.168070] r8169 0000:02:00.0: PME# disabled
[31835.388063] sdhci-pci 0000:04:01.2: PCI INT B -> GSI 18 (level, low) -> IRQ 
18
[31835.388084] firewire_core: skipped bus generations, destroying all nodes
[31835.888060] firewire_core: rediscovered device fw0
[31835.940050] sd 0:0:0:0: [sda] Starting disk
[31836.336448] ata1.01: ACPI cmd ef/03:42:00:00:00:b0 (SET FEATURES) filtered 
out
[31836.336453] ata1.01: ACPI cmd ef/03:0c:00:00:00:b0 (SET FEATURES) filtered 
out
[31836.344440] ata1.00: ACPI cmd ef/03:45:00:00:00:a0 (SET FEATURES) filtered 
out
[31836.344445] ata1.00: ACPI cmd ef/03:0c:00:00:00:a0 (SET FEATURES) filtered 
out
[31836.345257] ata1.00: ACPI cmd c6/00:10:00:00:00:a0 (SET MULTIPLE MODE) 
succeeded
[31836.393398] ata1.00: configured for UDMA/100
[31836.408408] ata1.01: configured for UDMA/33
[31836.433440] ata1.00: configured for UDMA/100
[31836.448408] ata1.01: configured for UDMA/33
[31836.448411] ata1: EH complete
[31836.660039] usb 2-1: reset full speed USB device using uhci_hcd and address 
2
[31836.928042] usb 4-2: reset full speed USB device using uhci_hcd and address 
2
[31837.144924] btusb 4-2:1.0: no reset_resume for driver btusb?
[31837.144929] btusb 4-2:1.1: no reset_resume for driver btusb?
[31837.396594] PM: Finishing wakeup.
[31837.396597] Restarting tasks ... done.
[31840.267267] r8169: eth0: link down
[31840.366666] Registered led device: iwl-phy0::radio
[31840.367183] Registered led device: iwl-phy0::assoc
[31840.367646] Registered led device: iwl-phy0::RX
[31840.368082] Registered led device: iwl-phy0::TX
[31871.383662] wlan0: direct probe to AP 00:17:3f:05:7d:22 (try 1)
[31871.386118] wlan0: direct probe responded
[31871.386126] wlan0: authenticate with AP 00:17:3f:05:7d:22 (try 1)
[31871.388999] wlan0: authenticated
[31871.389038] wlan0: associate with AP 00:17:3f:05:7d:22 (try 1)
[31871.391531] wlan0: RX AssocResp from 00:17:3f:05:7d:22 (capab=0x411 
status=0 aid=6)
[31871.391538] wlan0: associated
[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Mon, 20 Sep 2010 01:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Sep 2010 01:03:07 GMT) Full text and rfc822 format available.

Message #20 received at 595265@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Arnout Boelens <aboelens@engin.umass.edu>
Cc: 595265@bugs.debian.org
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Mon, 20 Sep 2010 01:59:59 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-09-08 at 10:45 -0400, Arnout Boelens wrote:
> On Friday 03 September 2010 19:00:24 Ben Hutchings wrote:
> > On Thu, 2010-09-02 at 11:43 -0400, Arnout Boelens wrote:
> > > Package: linux-2.6
> > > Version: 2.6.32-21
> > > Severity: normal
> > > 
> > > After suspending my laptop my network card fails to come back up again.
> > > As workaround I unload the kernel module for my card (r8169) and reload
> > > it again.
> > 
> > Can you send a kernel log covering the time when you suspend and resume?
> > The log section included in your original report is full of firewall
> > warnings.
> 
> Oops.. See below:
[...]

Unfortunately that didn't add much information.

However, I did notice that we accidentally removed a bug fix to r8169 in
version 2.6.32-19, which I have restored in version 2.6.32-23.  Can you
test version 2.6.32-23 (currently in unstable)?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Tue, 21 Sep 2010 20:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnout Boelens <aboelens@engin.umass.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 21 Sep 2010 20:39:10 GMT) Full text and rfc822 format available.

Message #25 received at 595265@bugs.debian.org (full text, mbox):

From: Arnout Boelens <aboelens@engin.umass.edu>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 595265@bugs.debian.org
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Tue, 21 Sep 2010 16:24:06 -0400
[Message part 1 (text/plain, inline)]
On Sunday 19 September 2010 20:59:59 Ben Hutchings wrote:
> On Wed, 2010-09-08 at 10:45 -0400, Arnout Boelens wrote:
> > On Friday 03 September 2010 19:00:24 Ben Hutchings wrote:
> > > On Thu, 2010-09-02 at 11:43 -0400, Arnout Boelens wrote:
> > > > Package: linux-2.6
> > > > Version: 2.6.32-21
> > > > Severity: normal
> > > > 
> > > > After suspending my laptop my network card fails to come back up
> > > > again. As workaround I unload the kernel module for my card (r8169)
> > > > and reload it again.
> > > 
> > > Can you send a kernel log covering the time when you suspend and
> > > resume? The log section included in your original report is full of
> > > firewall warnings.
> > 
> > Oops.. See below:
> [...]
> 
> Unfortunately that didn't add much information.
> 
> However, I did notice that we accidentally removed a bug fix to r8169 in
> version 2.6.32-19, which I have restored in version 2.6.32-23.  Can you
> test version 2.6.32-23 (currently in unstable)?

I just updated to kernel 2.6.32-23 but I am having the same issue.

Arnout

> Ben.
[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Mon, 11 Oct 2010 01:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Oct 2010 01:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 595265@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Arnout Boelens <aboelens@engin.umass.edu>, 595265@bugs.debian.org
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Mon, 11 Oct 2010 02:27:01 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-09-21 at 16:24 -0400, Arnout Boelens wrote:
> On Sunday 19 September 2010 20:59:59 Ben Hutchings wrote:
> > On Wed, 2010-09-08 at 10:45 -0400, Arnout Boelens wrote:
> > > On Friday 03 September 2010 19:00:24 Ben Hutchings wrote:
> > > > On Thu, 2010-09-02 at 11:43 -0400, Arnout Boelens wrote:
> > > > > Package: linux-2.6
> > > > > Version: 2.6.32-21
> > > > > Severity: normal
> > > > > 
> > > > > After suspending my laptop my network card fails to come back up
> > > > > again. As workaround I unload the kernel module for my card (r8169)
> > > > > and reload it again.
> > > > 
> > > > Can you send a kernel log covering the time when you suspend and
> > > > resume? The log section included in your original report is full of
> > > > firewall warnings.
> > > 
> > > Oops.. See below:
> > [...]
> > 
> > Unfortunately that didn't add much information.
> > 
> > However, I did notice that we accidentally removed a bug fix to r8169 in
> > version 2.6.32-19, which I have restored in version 2.6.32-23.  Can you
> > test version 2.6.32-23 (currently in unstable)?
> 
> I just updated to kernel 2.6.32-23 but I am having the same issue.

Could you test Linux 2.6.36-rc6 from experimental?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Sun, 17 Oct 2010 15:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnout Boelens <aboelens@engin.umass.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Oct 2010 15:18:05 GMT) Full text and rfc822 format available.

Message #35 received at 595265@bugs.debian.org (full text, mbox):

From: Arnout Boelens <aboelens@engin.umass.edu>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 595265@bugs.debian.org
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Sun, 17 Oct 2010 11:15:59 -0400
[Message part 1 (text/plain, inline)]
On Sunday 10 October 2010 21:27:01 Ben Hutchings wrote:
> On Tue, 2010-09-21 at 16:24 -0400, Arnout Boelens wrote:
> > On Sunday 19 September 2010 20:59:59 Ben Hutchings wrote:
> > > On Wed, 2010-09-08 at 10:45 -0400, Arnout Boelens wrote:
> > > > On Friday 03 September 2010 19:00:24 Ben Hutchings wrote:
> > > > > On Thu, 2010-09-02 at 11:43 -0400, Arnout Boelens wrote:
> > > > > > Package: linux-2.6
> > > > > > Version: 2.6.32-21
> > > > > > Severity: normal
> > > > > > 
> > > > > > After suspending my laptop my network card fails to come back up
> > > > > > again. As workaround I unload the kernel module for my card
> > > > > > (r8169) and reload it again.
> > > > > 
> > > > > Can you send a kernel log covering the time when you suspend and
> > > > > resume? The log section included in your original report is full of
> > > > > firewall warnings.
> > > > 
> > > > Oops.. See below:
> > > [...]
> > > 
> > > Unfortunately that didn't add much information.
> > > 
> > > However, I did notice that we accidentally removed a bug fix to r8169
> > > in version 2.6.32-19, which I have restored in version 2.6.32-23.  Can
> > > you test version 2.6.32-23 (currently in unstable)?
> > 
> > I just updated to kernel 2.6.32-23 but I am having the same issue.
> 
> Could you test Linux 2.6.36-rc6 from experimental?

Still the same thing happening..

A.
 
> Ben.
[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Mon, 18 Oct 2010 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Oct 2010 00:27:03 GMT) Full text and rfc822 format available.

Message #40 received at 595265@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: François Romieu <romieu@fr.zoreil.com>
Cc: Arnout Boelens <aboelens@engin.umass.edu>, 595265@bugs.debian.org, netdev <netdev@vger.kernel.org>
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Mon, 18 Oct 2010 01:23:51 +0100
[Message part 1 (text/plain, inline)]
Arnout Boelens reported that his RTL8111/8168B fails to link-up after
suspend and resume, both under Debian's kernel based on 2.6.32 and under
2.6.36-rc6.  Full details are at <http://bugs.debian.org/595265>, though
the log isn't very informative:

[31837.396594] PM: Finishing wakeup.
[31837.396597] Restarting tasks ... done.
[31840.267267] r8169: eth0: link down

Can you suggest how to investigate this further?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'netdev@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 18 Oct 2010 00:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Mon, 18 Oct 2010 22:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Oct 2010 22:51:08 GMT) Full text and rfc822 format available.

Message #47 received at 595265@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Arnout Boelens <aboelens@engin.umass.edu>, Francois Romieu <romieu@fr.zoreil.com>
Cc: 595265@bugs.debian.org, netdev <netdev@vger.kernel.org>
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Mon, 18 Oct 2010 23:48:00 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-10-18 at 23:45 +0200, Francois Romieu wrote:
> Ben Hutchings <ben@decadent.org.uk> :
> [...]
> > Arnout Boelens reported that his RTL8111/8168B fails to link-up after
> > suspend and resume, both under Debian's kernel based on 2.6.32 and under
> > 2.6.36-rc6.  Full details are at <http://bugs.debian.org/595265>, though
> > the log isn't very informative:
> > 
> > [31837.396594] PM: Finishing wakeup.
> > [31837.396597] Restarting tasks ... done.
> > [31840.267267] r8169: eth0: link down
> > 
> > Can you suggest how to investigate this further?
> 
> Something like the patch made by Stanislaw at :
> https://bugzilla.redhat.com/show_bug.cgi?id=502974

Thanks.

Arnout, please test the patch
<https://bugzilla.redhat.com/attachment.cgi?id=454034>, following the
instructions at
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Mon, 18 Oct 2010 22:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Dumazet <eric.dumazet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Oct 2010 22:54:09 GMT) Full text and rfc822 format available.

Message #52 received at 595265@bugs.debian.org (full text, mbox):

From: Eric Dumazet <eric.dumazet@gmail.com>
To: Francois Romieu <romieu@fr.zoreil.com>
Cc: Ben Hutchings <ben@decadent.org.uk>, Arnout Boelens <aboelens@engin.umass.edu>, 595265@bugs.debian.org, netdev <netdev@vger.kernel.org>
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Tue, 19 Oct 2010 00:50:57 +0200
Le lundi 18 octobre 2010 à 23:45 +0200, Francois Romieu a écrit :
> Ben Hutchings <ben@decadent.org.uk> :
> [...]
> > Arnout Boelens reported that his RTL8111/8168B fails to link-up after
> > suspend and resume, both under Debian's kernel based on 2.6.32 and under
> > 2.6.36-rc6.  Full details are at <http://bugs.debian.org/595265>, though
> > the log isn't very informative:
> > 
> > [31837.396594] PM: Finishing wakeup.
> > [31837.396597] Restarting tasks ... done.
> > [31840.267267] r8169: eth0: link down
> > 
> > Can you suggest how to investigate this further?
> 
> Something like the patch made by Stanislaw at :
> https://bugzilla.redhat.com/show_bug.cgi?id=502974
> 

Seems to be down at this moment, patch is also here (and included in
2.6.36-rc8 ) :

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=aeb19f6052b5e5c8a24aa444fbff73b84341beac







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Tue, 19 Oct 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Romieu <romieu@fr.zoreil.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 19 Oct 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #57 received at 595265@bugs.debian.org (full text, mbox):

From: Francois Romieu <romieu@fr.zoreil.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Arnout Boelens <aboelens@engin.umass.edu>, 595265@bugs.debian.org, netdev <netdev@vger.kernel.org>
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Mon, 18 Oct 2010 23:45:36 +0200
Ben Hutchings <ben@decadent.org.uk> :
[...]
> Arnout Boelens reported that his RTL8111/8168B fails to link-up after
> suspend and resume, both under Debian's kernel based on 2.6.32 and under
> 2.6.36-rc6.  Full details are at <http://bugs.debian.org/595265>, though
> the log isn't very informative:
> 
> [31837.396594] PM: Finishing wakeup.
> [31837.396597] Restarting tasks ... done.
> [31840.267267] r8169: eth0: link down
> 
> Can you suggest how to investigate this further?

Something like the patch made by Stanislaw at :
https://bugzilla.redhat.com/show_bug.cgi?id=502974

-- 
Ueimor




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Tue, 19 Oct 2010 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Romieu <romieu@fr.zoreil.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 19 Oct 2010 23:09:03 GMT) Full text and rfc822 format available.

Message #62 received at 595265@bugs.debian.org (full text, mbox):

From: Francois Romieu <romieu@fr.zoreil.com>
To: Eric Dumazet <eric.dumazet@gmail.com>
Cc: Ben Hutchings <ben@decadent.org.uk>, Arnout Boelens <aboelens@engin.umass.edu>, 595265@bugs.debian.org, netdev <netdev@vger.kernel.org>
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Wed, 20 Oct 2010 01:06:47 +0200
Eric Dumazet <eric.dumazet@gmail.com> :
> Le lundi 18 octobre 2010 à 23:45 +0200, Francois Romieu a écrit :
[...]
> > Something like the patch made by Stanislaw at :
> > https://bugzilla.redhat.com/show_bug.cgi?id=502974
> > 
> 
> Seems to be down at this moment, patch is also here (and included in
> 2.6.36-rc8 ) :
> 
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=aeb19f6052b5e5c8a24aa444fbff73b84341beac

It's from the same author but it is not included in 2.6.36-stg yet :

Subject: [PATCH] r8169 init phy when resume

For unknown reasons some r8169 devices after resume operate at
100 Mb/s speed instead of 1000 Mb/s like before suspend. To fix
reset phy during resume.

Signed-off-by: Stanislaw Gruszka <sgruszka@redhat.com>
---
 drivers/net/r8169.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/drivers/net/r8169.c b/drivers/net/r8169.c
index 17382c3..a4ce127 100644
--- a/drivers/net/r8169.c
+++ b/drivers/net/r8169.c
@@ -4847,6 +4847,9 @@ static int rtl8169_resume(struct device *device)
 {
 	struct pci_dev *pdev = to_pci_dev(device);
 	struct net_device *dev = pci_get_drvdata(pdev);
+	struct rtl8169_private *tp = netdev_priv(dev);
+
+	rtl8169_init_phy(dev, tp);
 
 	if (!netif_running(dev))
 		goto out;
-- 
1.7.1





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#595265; Package linux-2.6. (Thu, 11 Jul 2013 19:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 11 Jul 2013 19:57:05 GMT) Full text and rfc822 format available.

Message #67 received at 595265@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Arnout Boelens <aboelens@engin.umass.edu>
Cc: 595265@bugs.debian.org
Subject: Re: Bug#595265: linux-image-2.6.32-5-686: Nerwork card fails to come up again after suspend
Date: Thu, 11 Jul 2013 21:49:37 +0200
Hi,

wrt http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595265

This was fixed in 2.6.36 with the following commit:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=fccec10b33503a2b1197c8e7a3abd30443bedb08

Are you still using oldstable and would be in a position to test the patch for the squeeze kernel?

Cheers,
        Moritz



Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Thu, 11 Jul 2013 20:45:05 GMT) Full text and rfc822 format available.

Notification sent to Arnout Boelens <aboelens@engin.umass.edu>:
Bug acknowledged by developer. (Thu, 11 Jul 2013 20:45:05 GMT) Full text and rfc822 format available.

Message #72 received at 595265-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 595265-done@bugs.debian.org
Subject: Re: Mail delivery failed: returning message to sender
Date: Thu, 11 Jul 2013 22:39:06 +0200
> Hi,
> 
> wrt http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=595265
> 
> This was fixed in 2.6.36 with the following commit:
> http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=fccec10b33503a2b1197c8e7a3abd30443bedb08
> 
> Are you still using oldstable and would be in a position to test the patch for the squeeze kernel?

The submitter's address bounces, closing.
 
Cheers,
        Moritz
 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Aug 2013 07:33:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:31:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.